import 'package:equatable/equatable.dart';
import 'package:json_annotation/json_annotation.dart';

part 'contact.g.dart';

@JsonSerializable(explicitToJson: true)
class Contact extends Equatable {
  final String name;
  final List<String> phones;
  final List<String> emails;

  Contact(this.name, this.phones, this.emails);

  Contact.named({this.name, this.phones, this.emails});

  @override
  List<Object> get props => [
        phones,
      ];
  Map<String, dynamic> toJson() => _$ContactToJson(this);

  factory Contact.fromJson(json) => _$ContactFromJson(json);
}
